CalryOTA Docs
Listing

List all unified amenities for the workspace

Returns the deduplicated set of unified amenity IDs across every PMS integration in this workspace. Use the returned id values as inputs to the amenities filter on /listing or /search.

GET
/api/v1/listing/all-amenities

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/listing/all-amenities"
[
  {
    "id": "wifi",
    "name": "Wifi",
    "categoryID": "common",
    "categoryName": "Common"
  }
]
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}